@import "libs/shared/assets/src/global-style/variable";
:host {
  width: 100%;
}
.view-project {
  display: flex;
  justify-content: space-between;
  background: white;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
}
.view-project-card {
  border-radius: 16px;
  margin-top: 15px;
  &__left {
    padding-left: 15px;
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__center {
    padding-left: 15px;
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }

  &__right {
    padding-left: 15px;
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__btn {
    display: flex;
    margin-top: 5px;
    &__button-default {
      border: 1px solid #a0a3bd;
      color: #6e7191;
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      &:nth-child(2) {
        margin-left: 16px;
      }
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $bg-primary-default;
      margin-left: 16px;
    }
  }
}

.custom-padding-for-job {
  padding-left: 36px;
}
.text-left-project {
  text-align: left;
  font-weight: bold;
}
.view-project-card-border-right {
  border-right: 1px solid #d9dbe9;
  padding-right: 36px;
}

::ng-deep {
  .ant-form-item-required {
    font-weight: bold;
    align-items: flex-start !important;
    &::before {
      order: 1;
    }
  }
  .ant-form-item-label > label {
    height: fit-content !important;
    margin-bottom: initial !important;
  }
}

.margin-for-job {
  margin-top: 16px;
}

.custom-row {
  align-items: center;
}
.input-style {
  margin: 25px 0px 30px 0px;
  &__input {
    ::ng-deep {
      .ant-input {
        box-shadow: 0px 12px 57px rgba(75, 99, 226, 0.0527223), 0px 5.35455px 19.0824px rgba(75, 99, 226, 0.08);
        border-radius: 8px !important;
        height: 50px;
      }
      .ant-input:focus {
        border-color: #141ed2;
      }
      .ant-input:hover {
        border-color: #141ed2;
      }
    }
  }
}
.error {
  display: flex;
  align-items: center;
  column-gap: 5px;
  color: $bg-error-red;
  font-size: 12px;
  font-family: avertaL, sans-serif;
  margin-top: 10px;
}
.pdf-view {
  display: block;
  border: 1px solid $bg-modal-header-border;
  height: 70vh;
}
.wrap-text {
  word-wrap: break-word;
}
.error-area {
  display: flex;
  justify-content: space-between;
}
.count-text {
  display: flex-end;
}
